| Flutter Linux Embedder |

Public Attributes | List of all members
_FlAccessibleNodeClass Struct Reference

`#include <fl_accessible_node.h>`

## Public Attributes
AtkObjectClass | parent_class
void(* | set_name )(FlAccessibleNode *node, const gchar *name)
void(* | set_extents )(FlAccessibleNode *node, gint x, gint y, gint width, gint height)
void(* | set_flags )(FlAccessibleNode *node, FlutterSemanticsFlag flags)
void(* | set_actions )(FlAccessibleNode *node, FlutterSemanticsAction actions)
void(* | set_value )(FlAccessibleNode *node, const gchar *value)
void(* | set_text_selection )(FlAccessibleNode *node, gint base, gint extent)
void(* | set_text_direction )(FlAccessibleNode *node, FlutterTextDirection direction)
void(* | perform_action )(FlAccessibleNode *node, FlutterSemanticsAction action, GBytes *data)

## Detailed Description

FlAccessibleNode:

#FlAccessibleNode is an object that exposes a Flutter accessibility node to ATK.

Definition at line 34 of file fl_accessible_node.h.

## Member Data Documentation

## ◆ parent_class

AtkObjectClass _FlAccessibleNodeClass::parent_class

Definition at line 35 of file fl_accessible_node.h.

## ◆ perform_action

void(* _FlAccessibleNodeClass::perform_action) (FlAccessibleNode *node, FlutterSemanticsAction action, GBytes *data)

Definition at line 50 of file fl_accessible_node.h.

## ◆ set_actions

void(* _FlAccessibleNodeClass::set_actions) (FlAccessibleNode *node, FlutterSemanticsAction actions)

Definition at line 44 of file fl_accessible_node.h.

## ◆ set_extents

void(* _FlAccessibleNodeClass::set_extents) (FlAccessibleNode *node, gint x, gint y, gint width, gint height)

Definition at line 38 of file fl_accessible_node.h.

## ◆ set_flags

void(* _FlAccessibleNodeClass::set_flags) (FlAccessibleNode *node, FlutterSemanticsFlag flags)

Definition at line 43 of file fl_accessible_node.h.

## ◆ set_name

void(* _FlAccessibleNodeClass::set_name) (FlAccessibleNode *node, const gchar *name)

Definition at line 37 of file fl_accessible_node.h.

## ◆ set_text_direction

void(* _FlAccessibleNodeClass::set_text_direction) (FlAccessibleNode *node, FlutterTextDirection direction)

Definition at line 47 of file fl_accessible_node.h.

## ◆ set_text_selection

void(* _FlAccessibleNodeClass::set_text_selection) (FlAccessibleNode *node, gint base, gint extent)

Definition at line 46 of file fl_accessible_node.h.

## ◆ set_value

void(* _FlAccessibleNodeClass::set_value) (FlAccessibleNode *node, const gchar *value)

Definition at line 45 of file fl_accessible_node.h.

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_accessible_node.h